package com.ruedaminute.mobile.extensions;

import android.speech.SpeechRecognizer;
import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class SpeechServiceStopSpeechFunction implements FREFunction {

	private static final String TAG = "MyStt3Activity";
	
	public SpeechServiceExtensionContext ctxt;
	public SpeechRecognizer sr;
	@Override
	public FREObject call(FREContext context, FREObject[] arg1) {

		SpeechServiceExtensionContext speechContext = (SpeechServiceExtensionContext)context;
		ctxt = speechContext;
		sr = speechContext.sr;
		
		sr.cancel();
		
		Log.d(TAG, "on STOP listening");
		return null;
	}

}
