package com.ruedaminute.mobile.extensions;

import android.app.Activity;
import android.speech.SpeechRecognizer;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.adobe.fre.FREWrongThreadException;

public class SpeechServiceSupportedFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] arg1) {

		FREObject result = null;
		
		SpeechServiceExtensionContext speechContext = (SpeechServiceExtensionContext)context;
		Activity a = speechContext.getActivity();
		
		try{
			result = FREObject.newObject(SpeechRecognizer.isRecognitionAvailable(a));
		}
		catch (FREWrongThreadException fwte)
		{
			fwte.printStackTrace();
		}
		
		return result;
	}

}
