package com.ruedaminute.mobile.extensions;

import android.app.Activity;
import android.speech.SpeechRecognizer;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class SpeechServiceInitFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) {
		SpeechServiceExtensionContext speechContext = (SpeechServiceExtensionContext)context;
		Activity a = speechContext.getActivity();
		speechContext.sr = SpeechRecognizer.createSpeechRecognizer(a.getApplicationContext());
		return null;
	}

}
